=== share/CMakeLists.txt ===
add_subdirectory(xtp/xml)
add_subdirectory(man)
add_subdirectory(basis_sets)
add_subdirectory(ecps)
add_subdirectory(packages)
add_subdirectory(benchmark)
