=== share/man/CMakeLists.txt ===
if (BUILD_MANPAGES)
endif (BUILD_MANPAGES)
