=== debian/changelog ===
votca-xtp (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 28 Jan 2021 21:45:40 -0800

votca-xtp (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Make cross Build-Depends satisfiably annotate python3 with :any.
  * Update Standards-Version to 4.5.1, no changes required. 

 -- Nicholas Breen <nbreen@debian.org>  Sun, 13 Dec 2020 10:59:37 -0800

votca-xtp (1.6.2-2) unstable; urgency=medium

  * Fix typo in Suggests: on votca-xtp-tutorials.
  * Mark votca-xtp-tutorials as Multi-Arch: foreign.
  * Update Standards-Version to 4.5.1, no changes needed.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 05 Dec 2020 17:56:10 -0800

votca-xtp (1.6.2-1) unstable; urgency=medium

  * New upstream release. 

 -- Nicholas Breen <nbreen@debian.org>  Sat, 17 Oct 2020 16:03:03 -0700

votca-xtp (1.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #921202)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 18 Jul 2020 08:36:08 -0700
