=== debian/control ===
Source: votca-xtp
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Nicholas Breen <nbreen@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libboost-chrono-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-timer-dev,
               libceres-dev,
               libeigen3-dev,
               libfftw3-dev,
               libhdf5-dev,
               libsqlite3-dev,
               libvotca-csg-dev (>= 1.6.4),
               libvotca-csg-dev (<< 1.7~),
               libvotca-tools-dev (>= 1.6.4),
               libvotca-tools-dev (<< 1.7~),
               libxc-dev,
               pkg-config,
               python3:any,
               votca-csg (>= 1.6.3)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.votca.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/votca-xtp
Vcs-Git: https://salsa.debian.org/debichem-team/votca-xtp.git

Package: libvotca-xtp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvotca-xtp6 (= ${binary:Version}), ${misc:Depends}
Description: VOTCA's exciton transport library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-xtp is VOTCA's exciton transport simulation library.  This package
 contains header files and pkg-config files for programs using VOTCA.

Package: libvotca-xtp6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VOTCA's exciton transport library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-xtp is VOTCA's exciton transport simulation library.

Package: votca-xtp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: votca-xtp-tutorials
Description: VOTCA's exciton transport engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 xtp is Votca's exciton transport simulation engine.

Package: votca-xtp-tutorials
Architecture: all
Multi-Arch: foreign
Depends: bash (>= 4), ${misc:Depends}
Recommends: votca-xtp, python3:any
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture-independent tutorials for votca-xtp.
