=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export CTEST_OUTPUT_ON_FAILURE = On

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_TESTING=On -DBUILD_MANPAGES=On

# Some tests are unstable.  Run them, but don't fail on them just yet.
override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	cp -r tutorials debian/tmp/usr/share/votca/tutorials-xtp
	find debian/tmp/usr/share/votca/tutorials-xtp \( -name .gitignore -o -name .gitlab-ci.yml -o -name .travis.yml \) -exec rm {} \;
	find debian/tmp/usr/share/votca/tutorials-xtp -name system.com -exec chmod a-x {} \;
	-rm -rf debian/tmp/usr/share/votca/tutorials-xtp/CMakeModules debian/tmp/usr/share/votca/tutorials-xtp/CMakeLists.txt

override_dh_installman:
	dh_installman --sourcedir=$(CURDIR)/debian/man

%:
	dh $@ --with python3
