=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/votca-xtp-$1\.tar\.gz/ \
https://github.com/votca/xtp/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
opts="component=tutorials,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/votca-xtp-tutorials-$1\.tar\.gz/" \
https://github.com/votca/xtp-tutorials/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
