## votca-xtp 2021.1

=== debian/changelog ===
votca-xtp (2021.1-2) unstable; urgency=medium

  * Adjust CXXFLAGS on mipsel to reduce memory pressure while compiling,
    working around a FTBFS.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 21 Aug 2021 20:37:02 -0700

votca-xtp (2021.1-1) unstable; urgency=medium

  * New upstream release.  Upload to unstable, after release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 19 Aug 2021 19:47:31 -0700

votca-xtp (2021-1) experimental; urgency=medium

  * New upstream release.  Upload to experimental during freeze.
    - Add Build-Depends: libint2-dev.
  * SONAME bump to 2021 - now matches major version of project.
  * Override blhc false-positives.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 19 Jun 2021 17:01:37 -0700
