=== debian/control ===
--- 
+++ 
@@ -17,16 +17,17 @@
                libeigen3-dev,
                libfftw3-dev,
                libhdf5-dev,
+               libint2-dev,
                libsqlite3-dev,
-               libvotca-csg-dev (>= 1.6.4),
-               libvotca-csg-dev (<< 1.7~),
-               libvotca-tools-dev (>= 1.6.4),
-               libvotca-tools-dev (<< 1.7~),
+               libvotca-csg-dev (>= 2021),
+               libvotca-csg-dev (<< 2022~),
+               libvotca-tools-dev (>= 2021),
+               libvotca-tools-dev (<< 2022~),
                libxc-dev,
                pkg-config,
                python3:any,
-               votca-csg (>= 1.6.3)
-Standards-Version: 4.5.1
+               votca-csg (>= 2021)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.votca.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca-xtp
@@ -36,7 +37,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvotca-xtp6 (= ${binary:Version}), ${misc:Depends}
+Depends: libvotca-xtp2021 (= ${binary:Version}), ${misc:Depends}
 Description: VOTCA's exciton transport library, development kit
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
@@ -46,7 +47,7 @@
  libvotca-xtp is VOTCA's exciton transport simulation library.  This package
  contains header files and pkg-config files for programs using VOTCA.
 
-Package: libvotca-xtp6
+Package: libvotca-xtp2021
 Section: libs
 Architecture: any
 Multi-Arch: same
