=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,15 @@
 
 export CTEST_OUTPUT_ON_FAILURE = On
 
+# Reduce memory pressure while compiling on mipsel.
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+	export DEB_CXXFLAGS_MAINT_APPEND += -O1 -g1 -DNDEBUG
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DENABLE_TESTING=On -DBUILD_MANPAGES=On
+	@echo 'blhc: ignore-line-regexp: \s+C\+\+ vector data structures'
+	@echo 'blhc: ignore-line-regexp: .*Building CXX object src/libxtp/CMakeFiles/votca_xtp.dir/IndexParser.cc.o'
 
 # Some tests are unstable.  Run them, but don't fail on them just yet.
 override_dh_auto_test:
