=== share/xtp/data/CMakeLists.txt ===
file(GLOB_RECURSE VOTCA_XTP_DATA *.xml)
install(FILES ${VOTCA_XTP_DATA} DESTINATION ${CMAKE_INSTALL_DATADIR}/votca/xtp/data)
