=== debian/changelog ===
votca-xtp (2021.2-1ubuntu1) jammy; urgency=medium

  * Set --max-parallel=2 to avoid OOM on amd64, arm64 and ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 06 Jan 2022 07:02:30 +0000

votca-xtp (2021.2-1build1) jammy; urgency=medium

  * No-change rebuild against libxc9

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 11:45:17 +0000

votca-xtp (2021.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten build dependencies to require matching minor versions of
    votca-tools and -csg, not just major versions.
  * Fail on build time tests, *except* s390x, which has one remaining
    unidentified issue.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 10 Oct 2021 09:32:30 -0700
