=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: votca-xtp
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Nicholas Breen <nbreen@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -19,17 +20,17 @@
                libhdf5-dev,
                libint2-dev,
                libsqlite3-dev,
-               libvotca-csg-dev (>= 2021),
-               libvotca-csg-dev (<< 2022~),
-               libvotca-tools-dev (>= 2021),
-               libvotca-tools-dev (<< 2022~),
+               libvotca-csg-dev (>= 2021.2),
+               libvotca-csg-dev (<< 2021.3~),
+               libvotca-tools-dev (>= 2021.2),
+               libvotca-tools-dev (<< 2021.3~),
                libxc-dev,
                pkg-config,
                python3:any,
                votca-csg (>= 2021)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://www.votca.org/
+Homepage: https://www.votca.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca-xtp
 Vcs-Git: https://salsa.debian.org/debichem-team/votca-xtp.git
