=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 	@echo 'blhc: ignore-line-regexp: \s+C\+\+ vector data structures'
 	@echo 'blhc: ignore-line-regexp: .*Building CXX object src/libxtp/CMakeFiles/votca_xtp.dir/IndexParser.cc.o'
 
-# Some tests are unstable.  Run them, but don't fail on them just yet.
+# One test unstable on s390x only.
 override_dh_auto_test:
-	-dh_auto_test
+	dh_auto_test || dpkg-architecture -i s390x
 
 override_dh_auto_install:
 	dh_auto_install
@@ -31,4 +31,4 @@
 	dh_installman --sourcedir=$(CURDIR)/debian/man
 
 %:
-	dh $@ --with python3
+	dh $@ --max-parallel=2 --with python3
